## imcode.server.document
Class TextDocumentPermissionSetDomainObject

    java.lang.Object
      imcode.server.document.DocumentPermissionSetDomainObject
          imcode.server.document.TextDocumentPermissionSetDomainObject

All Implemented Interfaces:
  LazilyLoadedObject.Copyable, java.io.Serializable, java.lang.Cloneable

    public class TextDocumentPermissionSetDomainObject

extends DocumentPermissionSetDomainObject

See Also:
  Serialized Form

Field Summary
`static DocumentPermission` `EDIT_IMAGES`
`static DocumentPermission` `EDIT_INCLUDES`
`static DocumentPermission` `EDIT_MENUS`
`static DocumentPermission` `EDIT_TEMPLATE`
`static int` `EDIT_TEXT_DOCUMENT_IMAGES_PERMISSION_ID`
`static int` `EDIT_TEXT_DOCUMENT_INCLUDES_PERMISSION_ID`
`static int` `EDIT_TEXT_DOCUMENT_MENUS_PERMISSION_ID`
`static int` `EDIT_TEXT_DOCUMENT_TEMPLATE_PERMISSION_ID`
`static int` `EDIT_TEXT_DOCUMENT_TEXTS_PERMISSION_ID`
`static DocumentPermission` `EDIT_TEXTS`

Fields inherited from class imcode.server.document.DocumentPermissionSetDomainObject
`EDIT_DOCINFO_PERMISSION_ID, EDIT_DOCUMENT_PERMISSION_ID, EDIT_PERMISSIONS_PERMISSION_ID, FULL, NONE, READ`

Constructor Summary
`TextDocumentPermissionSetDomainObject(DocumentPermissionSetTypeDomainObject typeId)`

Method Summary
`void` `addAllowedDocumentTypeId(int documentTypeId)`
`void` `addAllowedTemplateGroupId(int templateGroupId)`
`protected java.lang.Object` `clone()`
`java.util.Set` `getAllowedDocumentTypeIds()`
`java.util.Set` `getAllowedTemplateGroupIds()`
`boolean` `getEditImages()`
`boolean` `getEditIncludes()`
`boolean` `getEditMenus()`
`boolean` `getEditTemplates()`
`boolean` `getEditTexts()`
`void` `setAllowedDocumentTypeIds(java.util.Set allowedDocumentTypeIds)`
`void` `setAllowedTemplateGroupIds(java.util.Set allowedTemplateGroupIds)`
`void` `setEditImages(boolean editImages)`
`void` `setEditIncludes(boolean editIncludes)`
`void` `setEditMenus(boolean editMenus)`
`void` `setEditTemplates(boolean editTemplates)`
`void` `setEditTexts(boolean editTexts)`
`void` `setFromBits(int permissionBits)`

Methods inherited from class imcode.server.document.DocumentPermissionSetDomainObject
`copy, getEdit, getEditDocumentInformation, getEditPermissions, getType, getTypeName, hasPermission, isEmpty, setEdit, setEditDocumentInformation, setEditPermissions, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EDIT_TEXTS

    public static final DocumentPermission EDIT_TEXTS

### EDIT_MENUS

    public static final DocumentPermission EDIT_MENUS

### EDIT_TEMPLATE

    public static final DocumentPermission EDIT_TEMPLATE

### EDIT_INCLUDES

    public static final DocumentPermission EDIT_INCLUDES

### EDIT_IMAGES

    public static final DocumentPermission EDIT_IMAGES

### EDIT_TEXT_DOCUMENT_TEXTS_PERMISSION_ID

    public static final int EDIT_TEXT_DOCUMENT_TEXTS_PERMISSION_ID

See Also:
  Constant Field Values

### EDIT_TEXT_DOCUMENT_IMAGES_PERMISSION_ID

    public static final int EDIT_TEXT_DOCUMENT_IMAGES_PERMISSION_ID

See Also:
  Constant Field Values

### EDIT_TEXT_DOCUMENT_MENUS_PERMISSION_ID

    public static final int EDIT_TEXT_DOCUMENT_MENUS_PERMISSION_ID

See Also:
  Constant Field Values

### EDIT_TEXT_DOCUMENT_TEMPLATE_PERMISSION_ID

    public static final int EDIT_TEXT_DOCUMENT_TEMPLATE_PERMISSION_ID

See Also:
  Constant Field Values

### EDIT_TEXT_DOCUMENT_INCLUDES_PERMISSION_ID

    public static final int EDIT_TEXT_DOCUMENT_INCLUDES_PERMISSION_ID

See Also:
  Constant Field Values

Constructor Detail

### TextDocumentPermissionSetDomainObject

    public TextDocumentPermissionSetDomainObject(DocumentPermissionSetTypeDomainObject typeId)

Method Detail

### getEditTexts

    public boolean getEditTexts()

### setEditTexts

    public void setEditTexts(boolean editTexts)

### getEditMenus

    public boolean getEditMenus()

### setEditMenus

    public void setEditMenus(boolean editMenus)

### getEditTemplates

    public boolean getEditTemplates()

### setEditTemplates

    public void setEditTemplates(boolean editTemplates)

### getEditIncludes

    public boolean getEditIncludes()

### setEditIncludes

    public void setEditIncludes(boolean editIncludes)

### getEditImages

    public boolean getEditImages()

### setEditImages

    public void setEditImages(boolean editImages)

### setFromBits

    public void setFromBits(int permissionBits)

  Overrides:
    `setFromBits` in class `DocumentPermissionSetDomainObject`

### setAllowedTemplateGroupIds

    public void setAllowedTemplateGroupIds(java.util.Set allowedTemplateGroupIds)

### getAllowedTemplateGroupIds

    public java.util.Set getAllowedTemplateGroupIds()

### setAllowedDocumentTypeIds

    public void setAllowedDocumentTypeIds(java.util.Set allowedDocumentTypeIds)

### getAllowedDocumentTypeIds

    public java.util.Set getAllowedDocumentTypeIds()

### addAllowedTemplateGroupId

    public void addAllowedTemplateGroupId(int templateGroupId)

### addAllowedDocumentTypeId

    public void addAllowedDocumentTypeId(int documentTypeId)

### clone

    protected java.lang.Object clone()
                              throws java.lang.CloneNotSupportedException

  Overrides:
    `clone` in class `DocumentPermissionSetDomainObject`
  Throws:
    `java.lang.CloneNotSupportedException`